> ## Documentation Index
> Fetch the complete documentation index at: https://developer.chessplay.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Batch

> Retrieve a specific batch

## Path Parameters

<ParamField path="id" type="integer" required>
  Batch ID
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET https://api.chessplay.io/api/v1/batches/1/ \
    -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
  ```

  ```python Python theme={null}
  import requests

  headers = {"Authorization": "Bearer YOUR_ACCESS_TOKEN"}
  response = requests.get(
      "https://api.chessplay.io/api/v1/batches/1/",
      headers=headers
  )
  batch = response.json()
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch('https://api.chessplay.io/api/v1/batches/1/', {
    headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN' }
  });
  const batch = await response.json();
  ```
</RequestExample>

<ResponseExample>
  ```json 200 Success theme={null}
  {
    "id": 1,
    "name": "Beginner Batch",
    "coach": {...},
    "students": [...],
    "student_count": 15
  }
  ```
</ResponseExample>
